Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Class RoleUnresolved

    java.lang.Object
      javax.management.relation.RoleUnresolved

All Implemented Interfaces:
  java.io.Serializable

public class RoleUnresolved
extends java.lang.Object
implements java.io.Serializable

Represents an unresolved role: a role not retrieved from a relation due to a problem. It provides the role name, value (if problem when trying to set the role) and an integer defining the problem (constants defined in RoleStatus).

See Also:
  Serialized Form

Constructor Summary
`RoleUnresolved(java.lang.String theRoleName, java.util.List theRoleValue, int thePbType)` Constructor.

Method Summary
`java.lang.Object` | `clone()` Clone this object.
`int` | `getProblemType()` Retrieves problem type.
`java.lang.String` | `getRoleName()` Retrieves role name.
`java.util.List` | `getRoleValue()` Retrieves role value.
`void` | `setProblemType(int thePbType)` Sets problem type.
`void` | `setRoleName(java.lang.String theRoleName)` Sets role name.
`void` | `setRoleValue(java.util.List theRoleValue)` Sets role value.
`java.lang.String` | `toString()` Return a string describing this object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleUnresolved

    public RoleUnresolved(java.lang.String theRoleName,
                          java.util.List theRoleValue,
                          int thePbType)
                   throws java.lang.IllegalArgumentException

  Constructor.

Parameters:
  `theRoleName` - name of the role
  `theRoleValue` - value of the role (if problem when setting the role)
  `thePbType` - type of problem (according to known problem types, listed as static final members).
Throws:
  `java.lang.IllegalArgumentException` - if null parameter or incorrect problem type

Method Detail

### getRoleName

    public java.lang.String getRoleName()

  Retrieves role name.

  Returns:
    the role name.
  See Also:
    `setRoleName(java.lang.String)`

### getRoleValue

    public java.util.List getRoleValue()

  Retrieves role value.

  Returns:
    an ArrayList of ObjectName objects, the one provided to be set in given role. Null if the unresolved role is returned for a read access.
  See Also:
    `setRoleValue(java.util.List)`

### getProblemType

    public int getProblemType()

  Retrieves problem type.

  Returns:
    an integer corresponding to a problem, those being described as static final members of current class.
  See Also:
    `setProblemType(int)`

### setRoleName

    public void setRoleName(java.lang.String theRoleName)
                     throws java.lang.IllegalArgumentException

  Sets role name.

  Parameters:
    `theRoleName` - the new role name.
  Throws:
    `java.lang.IllegalArgumentException` - if null parameter
  See Also:
    `getRoleName()`

### setRoleValue

    public void setRoleValue(java.util.List theRoleValue)

  Sets role value.

  Parameters:
    `theRoleValue` - List of ObjectName objects for referenced MBeans not set in role.
  See Also:
    `getRoleValue()`

### setProblemType

    public void setProblemType(int thePbType)
                        throws java.lang.IllegalArgumentException

  Sets problem type.

  Parameters:
    `thePbType` - integer corresponding to a problem. Must be one of those described as static final members of current class.
  Throws:
    `java.lang.IllegalArgumentException` - if incorrect problem type
  See Also:
    `getProblemType()`

### clone

    public java.lang.Object clone()

  Clone this object.

  Returns:
    an independent clone.

### toString

    public java.lang.String toString()

  Return a string describing this object.

  Returns:
    a description of this RoleUnresolved object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.